***************************************************************
* SUPPLEMENTARY TEST FOR H1- MARGINAL EFFECT FIGURE
***************************************************************


clear all
cd "~/QJPS_Replication"
use "replication_data_2.dta", clear

tsset ccode year

* CHANGE IN ANY DIRECTION, BUT SETTING INCOMETAX = 0 TO MISSING
* For that reason, I don't use incometax_2 but incometax.
 generate change_mag_any=d.incometax

* Key covariates
gen lag_incometax = l.incometax
gen inter_lag_incometax_polity2 = lag_incometax*polity2


* Marginal effect with lag_incometax as modifying variable. Model 3 of Table Supplementary-2.

reg change_mag_any polity2 lag_incometax inter_lag_incometax_polity2 gdpcap war i.ccode time* participant*, robust

matrix b=e(b)
matrix V=e(V)

scalar b1=b[1,1]
scalar b3=b[1,3]

scalar varb1=V[1,1]
scalar varb3=V[3,3]

scalar covb1b3=V[1,3]

scalar list b1 b3 varb1 varb3 covb1b3

* Range of Modifying variable
generate MVZ= 0 + ((_n-1)/30)
sum MVZ 
gen conbx=b1+b3*MVZ
gen consx=sqrt(varb1+varb3*(MVZ^2)+2*covb1b3*MVZ)
gen ax=1.65*consx
gen upperx=conbx+ax
gen lowerx=conbx-ax

* Produce marginal effect plot for X.
twoway (line conbx MVZ, lwidth(thick) lcolor(black)) (line upperx  MVZ, lcolor(grey) lpattern(dash_dot)) (line lowerx  MVZ, lcolor(grey) lpattern(dash_dot)), xline(10,lpattern(dot)) xlabel(0(5)45) xtitle(Fiscal Capacity at Time t-1) ytitle(Estimated effect of Polity on Fiscal Capacity Growth) legend(off) yline(0, lcolor(black)) xtitle(, size(large)) ytitle(, size(medium)) graphregion(fcolor(white))


