clear all

cd "~/QJPS_Replication/QJPS_Data_Sources"

* Start by the datasets I need to interpolate

* Everywhere it applies, Austria is coded as the continuation of Austria-Hungary.

*******************************************
* Population and GDP data from Madison
*******************************************

use "Madison_Europe_Data.dta" 

sort country year

* Interpolate Madison GDP Data
	bysort country: ipolate gdp year, gen(ipol_gdp)
	
* Interpolate Madison Population Data
	bysort country: ipolate population year, gen(ipol_population)

************************************
* BANKS Data
************************************

* CAUTION: Banks does not report data data for WW 1 or WW 2. 
* This is fixed later with interpolation.

merge 1:1 year country using "Banks_selection.dta"
drop _merge

*********************************
* LAMPE and SCHARF AVE tariff
*********************************
merge 1:1 year country using "LampeScharf_selection.dta"
drop _merge

***********************************
* CLEMENS AND WILLIAMS 
***********************************

merge 1:1 year country using "ClemensWilliams_selection.dta"
drop _merge

*************************
* POLITY IV 
*************************

merge 1:1 year country using "polity_selection.dta" 
drop _merge


***************************
* INCOME TAX REVENUE (FLORA)
**************************** 

merge 1:1 year country using "revenue_Flora_selection.dta" 
drop _merge


**************************
* CHAT - Technology
***************************
merge 1:1 year country using "CHAT_selection.dta"
drop _merge


*****************************
*  COW: inter-state wars
*****************************

merge 1:1 year country using "COW_selection.dta"

gen war = 0
replace war = 1 if war_cow!=.

drop _merge war_cow


***********************
* Country identifier
***********************

* I follow the ccode used in Clemens and Williamson
	drop ccode 
	gen ccode = .
	replace ccode = 3 if country == "Austria/Austria-Hungary" 
	replace ccode = 12 if country == "Denmark"
	replace ccode = 14 if country == "France"
	replace ccode = 15 if country == "Germany"
	replace ccode = 19 if country == "Italy"
	replace ccode = 23 if country == "Norway"
	replace ccode = 30 if country == "Sweden"
	replace ccode = 33 if country == "United Kingdom"
	* I add ccode to the three cases not in CW
	replace ccode = 040 if country == "Belgium"
	replace ccode = 042 if country == "Netherlands"
	replace ccode = 044 if country == "Switzerland"

	order country ccode year, first


* Panel format

tset ccode year

save "~/QJPS_Replication/replication_data_1.dta", replace
	





