***************************************************************
* SUPPLEMENTARY TEST FOR H1
***************************************************************

clear all

cd "~/QJPS_Replication/"

use "replication_data_2.dta", clear

tsset ccode year

* CHANGE IN ANY DIRECTION, BUT SETTING INCOMETAX = 0 TO MISSING
* For that reason, I don't use incometax2 here, but incometax.
 generate change_mag_any=d.incometax

* Key Covariates
gen lag_incometax = l.incometax
gen inter_lag_incometax_polity2 = lag_incometax*polity2


* Country fixed effect
tab country, gen(ctr)

* MODEL 1	
areg change_mag_any lag_incometax polity2 inter_lag_incometax_polity2 gdpcap war ctr* participant*, absorb(year) robust
outreg2 using "~/QJPS_Replication/QJPS_H1_Supplementary/hypothesis_1_robustness.tex", replace dec(3) tex(frag) ctitle(" ") drop(ctr* participant*) addtext(Country FE, YES, Year FE, YES, Flex Polynomial, NO, WW Indicator, YES)

* MODEL 2
areg change_mag_any lag_incometax polity2 inter_lag_incometax_polity2 gdpcap war t_ave ipol_urban ipol_military ipol_school02 ctr* participant*, absorb(year) robust
outreg2 using "~/QJPS_Replication/QJPS_H1_Supplementary/hypothesis_1_robustness.tex", dec(3) tex(frag) ctitle(" ") drop(ctr* participant*) addtext(Country FE, YES, Year FE, YES, Flex Polynomial, NO, WW Indicator, YES)

* MODEl 3
reg change_mag_any lag_incometax polity2 inter_lag_incometax_polity2 gdpcap war ctr* time* participant*, robust
outreg2 using "~/QJPS_Replication/QJPS_H1_Supplementary/hypothesis_1_robustness.tex",  dec(3) tex(frag) ctitle(" ") drop(ctr* time* participant*) addtext(Country FE, YES, Year FE, NO, Flex Polynomial, YES, WW Indicator, YES)

* MODEL 4
reg change_mag_any lag_incometax polity2 inter_lag_incometax_polity2 gdpcap war t_ave ipol_urban ipol_military ipol_school02 ctr* time* participant*, robust
outreg2 using "~/QJPS_Replication/QJPS_H1_Supplementary/hypothesis_1_robustness.tex", dec(3) tex(frag) ctitle(" ") drop(ctr* time* participant*) addtext(Country FE, YES, Year FE, NO, Flex Polynomial, YES, WW Indicator, YES)


