*****************************************
* TABLE 3 - Technology Data Coverage
*****************************************


****** Data Coverage for rail freight

clear all
cd "~/QJPS_Replication"
use "replication_data_2.dta"

* Filter by the availability of the key covariate in this test.
drop if t_ave == . 

keep country year ccode railtons_1000_people

tsset ccode year

drop if railtons_1000_people == . 

sort country year
bysort country: gen id = _n
bysort country: egen max = max(id)
bysort country: egen min = min(id)
bysort country: gen maxtool = year if id == max
bysort country: gen mintool = year if id == min
bysort country: egen maxyear = max(maxtool)
bysort country: egen minyear = max(mintool)

list country minyear maxyear  if id == 1 


****** Data coverage for Electric Power data.

clear all
cd "~/QJPS_Replication"
use "replication_data_2.dta"

* Filter by the availability of the key covariate in this test.
drop if t_ave == . 

keep country year ccode elecprod_TWhr_th_pop

tsset ccode year

drop if elecprod_TWhr_th_pop == . 

sort country year
bysort country: gen id = _n
bysort country: egen max = max(id)
bysort country: egen min = min(id)
bysort country: gen maxtool = year if id == max
bysort country: gen mintool = year if id == min
bysort country: egen maxyear = max(maxtool)
bysort country: egen minyear = max(mintool)

list country minyear maxyear  if id == 1 

